import { AxiosPromise, AxiosResponse } from "axios";
import request from "~/utils/request";
const api = {

    loginGzhcode: (params: {
        authorizationCode: string
    }) => {
        return request({
            url: "login/gzhcode",
            headers: {
                isLogin: "1",
            },
            method: 'post',
            params
        })

    },
    studentVideoTeachingList: (params: {
        state: 0 | 1,
        videoSubject: number

    }): AxiosPromise<StudentVideoTeachingListRes> => {
        return request({
            url: "student/video/teaching/list",
            method: 'get',
            params
        })
    }

}
export default api